// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		3B0F69A919028C6000817707 /* MPException.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B0F69A819028C6000817707 /* MPException.m */; };
		3B0F69AC1902A82C00817707 /* MPExpressionTests.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B0F69AB1902A82C00817707 /* MPExpressionTests.m */; };
		3B0F69AE1902AD2800817707 /* MPException.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B0F69A819028C6000817707 /* MPException.m */; };
		3B0F69B01902AD2E00817707 /* MPFunction.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B87E35F19009D5F00259938 /* MPFunction.m */; };
		3B528D10199417E10054DB5F /* MPExpressionLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B528D0F199417E10054DB5F /* MPExpressionLayout.m */; };
		3B528D13199417E90054DB5F /* MPFunctionLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B528D12199417E90054DB5F /* MPFunctionLayout.m */; };
		3B528D1619941F5B0054DB5F /* MPExpressionLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B528D0F199417E10054DB5F /* MPExpressionLayout.m */; };
		3B528D1819941F5B0054DB5F /* MPFunctionLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B528D12199417E90054DB5F /* MPFunctionLayout.m */; };
		3B53AD5F1997E0FB00C925C4 /* MPExpression.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BFAC38E1997B61300B3EF67 /* MPExpression.m */; };
		3B688D9919982DF50006B4AB /* MPLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B688D9819982DF50006B4AB /* MPLayout.m */; };
		3B74BFB319A4C51800E5B5DE /* CoreText.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3B74BFB219A4C51800E5B5DE /* CoreText.framework */; };
		3B87E3561900856F00259938 /* MPExpressionView.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B87E3551900856F00259938 /* MPExpressionView.m */; };
		3B87E36019009D5F00259938 /* MPFunction.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B87E35F19009D5F00259938 /* MPFunction.m */; };
		3BB09EB21905DE500080A5ED /* MPExpressionStorage.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BB09EB11905DE500080A5ED /* MPExpressionStorage.m */; };
		3BB09EC91906FD830080A5ED /* MPSumFunction.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BB09EC81906FD830080A5ED /* MPSumFunction.m */; };
		3BB09EDE190728220080A5ED /* NSIndexPath+MPAdditions.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BB09EDD190728220080A5ED /* NSIndexPath+MPAdditions.m */; };
		3BB09EE1190736160080A5ED /* MPSumFunctionLayout.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BB09EE0190736160080A5ED /* MPSumFunctionLayout.m */; };
		3BBBA35E1903FD3600824E74 /* MPRangePath.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B87E35C1900933200259938 /* MPRangePath.m */; };
		3BBBA35F1903FD3600824E74 /* MPRangePath.m in Sources */ = {isa = PBXBuildFile; fileRef = 3B87E35C1900933200259938 /* MPRangePath.m */; };
		3BBBA3951905704200824E74 /* MPRangeTests.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BBBA3941905704200824E74 /* MPRangeTests.m */; };
		3BC4660B19B2425A0033F13A /* MPDocument.xib in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9978318DE623E009CF6C4 /* MPDocument.xib */; };
		3BC4661419B245C60033F13A /* Fonts in Resources */ = {isa = PBXBuildFile; fileRef = 3BC4661319B245C60033F13A /* Fonts */; };
		3BC46B4919B38C980033F13A /* MPExpressionEvaluator.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BC46B4819B38C980033F13A /* MPExpressionEvaluator.m */; };
		3BC46B5E19B8BE760033F13A /* MPMath.lm in Sources */ = {isa = PBXBuildFile; fileRef = 3BC46B5D19B8BE760033F13A /* MPMath.lm */; };
		3BD98B2519B8F0670035852A /* MPMath.ym in Sources */ = {isa = PBXBuildFile; fileRef = 3BD98B2419B8F0670035852A /* MPMath.ym */; };
		3BE9C4B319B9CC70002CC508 /* MPParsedElement.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BE9C4B219B9CC70002CC508 /* MPParsedElement.m */; };
		3BF9976F18DE623E009CF6C4 /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3BF9976E18DE623E009CF6C4 /* Cocoa.framework */; };
		3BF9977918DE623E009CF6C4 /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9977718DE623E009CF6C4 /* InfoPlist.strings */; };
		3BF9977B18DE623E009CF6C4 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BF9977A18DE623E009CF6C4 /* main.m */; };
		3BF9977F18DE623E009CF6C4 /* Credits.rtf in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9977D18DE623E009CF6C4 /* Credits.rtf */; };
		3BF9978218DE623E009CF6C4 /* MPDocument.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BF9978118DE623E009CF6C4 /* MPDocument.m */; };
		3BF9978818DE623E009CF6C4 /* MainMenu.xib in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9978618DE623E009CF6C4 /* MainMenu.xib */; };
		3BF9978A18DE623E009CF6C4 /* Images.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9978918DE623E009CF6C4 /* Images.xcassets */; };
		3BF9979118DE623E009CF6C4 /* XCTest.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3BF9979018DE623E009CF6C4 /* XCTest.framework */; };
		3BF9979218DE623E009CF6C4 /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3BF9976E18DE623E009CF6C4 /* Cocoa.framework */; };
		3BF9979A18DE623E009CF6C4 /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 3BF9979818DE623E009CF6C4 /* InfoPlist.strings */; };
		3BFAC38F1997B61300B3EF67 /* MPExpression.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BFAC38E1997B61300B3EF67 /* MPExpression.m */; };
		3BFAC39C1997BC7600B3EF67 /* NSString+MPExpressionElement.m in Sources */ = {isa = PBXBuildFile; fileRef = 3BFAC39B1997BC7600B3EF67 /* NSString+MPExpressionElement.m */; };
/* End PBXBuildFile section */

/* Begin PBXBuildRule section */
		3B225D2F19B9105E00520A4D /* PBXBuildRule */ = {
			isa = PBXBuildRule;
			compilerSpec = com.apple.compilers.proxy.script;
			filePatterns = "*.lm";
			fileType = pattern.proxy;
			isEditable = 1;
			outputFiles = (
				"$(DERIVED_FILE_DIR)/$(INPUT_FILE_BASE).yy.h",
				"$(DERIVED_FILE_DIR)/$(INPUT_FILE_BASE).yy.m",
			);
			script = "cd \"$INPUT_FILE_DIR\"\nflex -o \"$DERIVED_SOURCES_DIR/$INPUT_FILE_BASE.yy.m\" --header-file=\"$DERIVED_SOURCES_DIR/$INPUT_FILE_BASE.yy.h\" \"$INPUT_FILE_NAME\"";
		};
		3B225D3019B9154A00520A4D /* PBXBuildRule */ = {
			isa = PBXBuildRule;
			compilerSpec = com.apple.compilers.proxy.script;
			filePatterns = "*.ym";
			fileType = pattern.proxy;
			isEditable = 1;
			outputFiles = (
				"$(DERIVED_FILE_DIR)/$(INPUT_FILE_BASE).tab.h",
				"$(DERIVED_FILE_DIR)/$(INPUT_FILE_BASE).tab.m",
			);
			script = "cd \"$INPUT_FILE_DIR\"\nbison -o \"$DERIVED_SOURCES_DIR/$INPUT_FILE_BASE.tab.m\" --defines=\"$DERIVED_SOURCES_DIR/$INPUT_FILE_BASE.tab.h\" \"$INPUT_FILE_NAME\"";
		};
/* End PBXBuildRule section */

/* Begin PBXContainerItemProxy section */
		3BF9979318DE623E009CF6C4 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 3BF9976318DE623E009CF6C4 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 3BF9976A18DE623E009CF6C4;
			remoteInfo = MathPad;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		3B0F69A719028BC600817707 /* MPException.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MPException.h; sourceTree = "<group>"; };
		3B0F69A819028C6000817707 /* MPException.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPException.m; sourceTree = "<group>"; };
		3B0F69AB1902A82C00817707 /* MPExpressionTests.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpressionTests.m; sourceTree = "<group>"; };
		3B225D2C19B90F6A00520A4D /* MPMath.yy.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; name = MPMath.yy.m; path = "../../../../Library/Developer/Xcode/DerivedData/MathPad-egifwdrtxebksadhtzugiovuvzcy/Build/Intermediates/MathPad.build/Debug/MathPad.build/DerivedSources/MPMath.yy.m"; sourceTree = "<group>"; };
		3B225D3119B9162E00520A4D /* MPMath.yy.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; name = MPMath.yy.h; path = "../../../../Library/Developer/Xcode/DerivedData/MathPad-egifwdrtxebksadhtzugiovuvzcy/Build/Intermediates/MathPad.build/Debug/MathPad.build/DerivedSources/MPMath.yy.h"; sourceTree = "<group>"; };
		3B225D3219B9168600520A4D /* MPMath.tab.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; name = MPMath.tab.m; path = "../../../../Library/Developer/Xcode/DerivedData/MathPad-egifwdrtxebksadhtzugiovuvzcy/Build/Intermediates/MathPad.build/Debug/MathPad.build/DerivedSources/MPMath.tab.m"; sourceTree = "<group>"; };
		3B225D3419B916D000520A4D /* MPMath.tab.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; name = MPMath.tab.h; path = "../../../../Library/Developer/Xcode/DerivedData/MathPad-egifwdrtxebksadhtzugiovuvzcy/Build/Intermediates/MathPad.build/Debug/MathPad.build/DerivedSources/MPMath.tab.h"; sourceTree = "<group>"; };
		3B528D0D199417740054DB5F /* MPLayout.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPLayout.h; sourceTree = "<group>"; };
		3B528D0E199417E10054DB5F /* MPExpressionLayout.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPExpressionLayout.h; sourceTree = "<group>"; };
		3B528D0F199417E10054DB5F /* MPExpressionLayout.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpressionLayout.m; sourceTree = "<group>"; };
		3B528D11199417E90054DB5F /* MPFunctionLayout.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPFunctionLayout.h; sourceTree = "<group>"; };
		3B528D12199417E90054DB5F /* MPFunctionLayout.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPFunctionLayout.m; sourceTree = "<group>"; };
		3B688D9819982DF50006B4AB /* MPLayout.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPLayout.m; sourceTree = "<group>"; };
		3B74BFB219A4C51800E5B5DE /* CoreText.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreText.framework; path = System/Library/Frameworks/CoreText.framework; sourceTree = SDKROOT; };
		3B87E3541900856F00259938 /* MPExpressionView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPExpressionView.h; sourceTree = "<group>"; };
		3B87E3551900856F00259938 /* MPExpressionView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpressionView.m; sourceTree = "<group>"; };
		3B87E35B1900933200259938 /* MPRangePath.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPRangePath.h; sourceTree = "<group>"; };
		3B87E35C1900933200259938 /* MPRangePath.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPRangePath.m; sourceTree = "<group>"; };
		3B87E35E19009D5F00259938 /* MPFunction.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPFunction.h; sourceTree = "<group>"; };
		3B87E35F19009D5F00259938 /* MPFunction.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPFunction.m; sourceTree = "<group>"; };
		3BB09EB01905DE500080A5ED /* MPExpressionStorage.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPExpressionStorage.h; sourceTree = "<group>"; };
		3BB09EB11905DE500080A5ED /* MPExpressionStorage.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpressionStorage.m; sourceTree = "<group>"; };
		3BB09EC71906FD830080A5ED /* MPSumFunction.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPSumFunction.h; sourceTree = "<group>"; };
		3BB09EC81906FD830080A5ED /* MPSumFunction.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPSumFunction.m; sourceTree = "<group>"; };
		3BB09EDC190728220080A5ED /* NSIndexPath+MPAdditions.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSIndexPath+MPAdditions.h"; sourceTree = "<group>"; };
		3BB09EDD190728220080A5ED /* NSIndexPath+MPAdditions.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSIndexPath+MPAdditions.m"; sourceTree = "<group>"; };
		3BB09EDF190736160080A5ED /* MPSumFunctionLayout.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPSumFunctionLayout.h; sourceTree = "<group>"; };
		3BB09EE0190736160080A5ED /* MPSumFunctionLayout.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPSumFunctionLayout.m; sourceTree = "<group>"; };
		3BBBA38419047FC900824E74 /* MPView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MPView.h; sourceTree = "<group>"; };
		3BBBA3941905704200824E74 /* MPRangeTests.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPRangeTests.m; sourceTree = "<group>"; };
		3BC4661319B245C60033F13A /* Fonts */ = {isa = PBXFileReference; lastKnownFileType = folder; path = Fonts; sourceTree = "<group>"; };
		3BC4661519B365070033F13A /* MPArrayCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPArrayCache.h; sourceTree = "<group>"; };
		3BC4661619B365070033F13A /* MPArrayCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPArrayCache.m; sourceTree = "<group>"; };
		3BC46B4719B38C980033F13A /* MPExpressionEvaluator.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPExpressionEvaluator.h; sourceTree = "<group>"; };
		3BC46B4819B38C980033F13A /* MPExpressionEvaluator.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpressionEvaluator.m; sourceTree = "<group>"; };
		3BC46B5D19B8BE760033F13A /* MPMath.lm */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.lex; path = MPMath.lm; sourceTree = "<group>"; };
		3BD98B1E19B8CE490035852A /* libl.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libl.a; path = ../../../../../usr/lib/libl.a; sourceTree = "<group>"; };
		3BD98B2419B8F0670035852A /* MPMath.ym */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.yacc; path = MPMath.ym; sourceTree = "<group>"; };
		3BE9C4B019B91978002CC508 /* MPMath.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MPMath.h; sourceTree = "<group>"; };
		3BE9C4B119B9CC70002CC508 /* MPParsedElement.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPParsedElement.h; sourceTree = "<group>"; };
		3BE9C4B219B9CC70002CC508 /* MPParsedElement.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPParsedElement.m; sourceTree = "<group>"; };
		3BF9976B18DE623E009CF6C4 /* MathPad.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MathPad.app; sourceTree = BUILT_PRODUCTS_DIR; };
		3BF9976E18DE623E009CF6C4 /* Cocoa.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Cocoa.framework; path = System/Library/Frameworks/Cocoa.framework; sourceTree = SDKROOT; };
		3BF9977118DE623E009CF6C4 /* AppKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = AppKit.framework; path = System/Library/Frameworks/AppKit.framework; sourceTree = SDKROOT; };
		3BF9977218DE623E009CF6C4 /* CoreData.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreData.framework; path = System/Library/Frameworks/CoreData.framework; sourceTree = SDKROOT; };
		3BF9977318DE623E009CF6C4 /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = System/Library/Frameworks/Foundation.framework; sourceTree = SDKROOT; };
		3BF9977618DE623E009CF6C4 /* MathPad-Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "MathPad-Info.plist"; sourceTree = "<group>"; };
		3BF9977818DE623E009CF6C4 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/InfoPlist.strings; sourceTree = "<group>"; };
		3BF9977A18DE623E009CF6C4 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		3BF9977C18DE623E009CF6C4 /* MathPad-Prefix.pch */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "MathPad-Prefix.pch"; sourceTree = "<group>"; };
		3BF9977E18DE623E009CF6C4 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.rtf; name = en; path = en.lproj/Credits.rtf; sourceTree = "<group>"; };
		3BF9978018DE623E009CF6C4 /* MPDocument.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MPDocument.h; sourceTree = "<group>"; };
		3BF9978118DE623E009CF6C4 /* MPDocument.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MPDocument.m; sourceTree = "<group>"; };
		3BF9978418DE623E009CF6C4 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.xib; name = Base; path = Base.lproj/MPDocument.xib; sourceTree = "<group>"; };
		3BF9978718DE623E009CF6C4 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.xib; name = Base; path = Base.lproj/MainMenu.xib; sourceTree = "<group>"; };
		3BF9978918DE623E009CF6C4 /* Images.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Images.xcassets; sourceTree = "<group>"; };
		3BF9978F18DE623E009CF6C4 /* MathPadTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MathPadTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		3BF9979018DE623E009CF6C4 /* XCTest.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = XCTest.framework; path = Library/Frameworks/XCTest.framework; sourceTree = DEVELOPER_DIR; };
		3BF9979718DE623E009CF6C4 /* MathPadTests-Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "MathPadTests-Info.plist"; sourceTree = "<group>"; };
		3BF9979918DE623E009CF6C4 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/InfoPlist.strings; sourceTree = "<group>"; };
		3BFAC38D1997B61300B3EF67 /* MPExpression.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPExpression.h; sourceTree = "<group>"; };
		3BFAC38E1997B61300B3EF67 /* MPExpression.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPExpression.m; sourceTree = "<group>"; };
		3BFAC3961997B67400B3EF67 /* MPExpressionElement.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MPExpressionElement.h; sourceTree = "<group>"; };
		3BFAC39A1997BC7600B3EF67 /* NSString+MPExpressionElement.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSString+MPExpressionElement.h"; sourceTree = "<group>"; };
		3BFAC39B1997BC7600B3EF67 /* NSString+MPExpressionElement.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSString+MPExpressionElement.m"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		3BF9976818DE623E009CF6C4 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3BF9976F18DE623E009CF6C4 /* Cocoa.framework in Frameworks */,
				3B74BFB319A4C51800E5B5DE /* CoreText.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3BF9978C18DE623E009CF6C4 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3BF9979218DE623E009CF6C4 /* Cocoa.framework in Frameworks */,
				3BF9979118DE623E009CF6C4 /* XCTest.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3B87E350190082B300259938 /* Model */ = {
			isa = PBXGroup;
			children = (
				3BC46B4B19B38CB60033F13A /* Base Expression Classes */,
				3BC46B4C19B38CD20033F13A /* Independant Classes */,
				3BB09EBC1905EF210080A5ED /* Functions */,
				3BC46B4D19B38CFB0033F13A /* Helpers */,
			);
			name = Model;
			sourceTree = "<group>";
		};
		3B87E351190082BB00259938 /* View */ = {
			isa = PBXGroup;
			children = (
				3BB09ED419071A140080A5ED /* Categories */,
				3BBBA38419047FC900824E74 /* MPView.h */,
				3B87E3541900856F00259938 /* MPExpressionView.h */,
				3B87E3551900856F00259938 /* MPExpressionView.m */,
				3BB09EB01905DE500080A5ED /* MPExpressionStorage.h */,
				3BB09EB11905DE500080A5ED /* MPExpressionStorage.m */,
				3BB09ED819071C270080A5ED /* Private */,
				3BB09EE21907361C0080A5ED /* Function Layouts */,
			);
			name = View;
			sourceTree = "<group>";
		};
		3B87E352190082C000259938 /* Controller */ = {
			isa = PBXGroup;
			children = (
				3BF9978018DE623E009CF6C4 /* MPDocument.h */,
				3BF9978118DE623E009CF6C4 /* MPDocument.m */,
			);
			name = Controller;
			sourceTree = "<group>";
		};
		3B87E353190082E200259938 /* Resources */ = {
			isa = PBXGroup;
			children = (
				3BF9978318DE623E009CF6C4 /* MPDocument.xib */,
				3BF9978618DE623E009CF6C4 /* MainMenu.xib */,
				3BF9978918DE623E009CF6C4 /* Images.xcassets */,
				3BC4661319B245C60033F13A /* Fonts */,
			);
			name = Resources;
			sourceTree = "<group>";
		};
		3BB09EBC1905EF210080A5ED /* Functions */ = {
			isa = PBXGroup;
			children = (
				3BB09EC71906FD830080A5ED /* MPSumFunction.h */,
				3BB09EC81906FD830080A5ED /* MPSumFunction.m */,
			);
			name = Functions;
			sourceTree = "<group>";
		};
		3BB09ED419071A140080A5ED /* Categories */ = {
			isa = PBXGroup;
			children = (
			);
			name = Categories;
			sourceTree = "<group>";
		};
		3BB09ED819071C270080A5ED /* Private */ = {
			isa = PBXGroup;
			children = (
				3B528D0D199417740054DB5F /* MPLayout.h */,
				3B688D9819982DF50006B4AB /* MPLayout.m */,
				3B528D0E199417E10054DB5F /* MPExpressionLayout.h */,
				3B528D0F199417E10054DB5F /* MPExpressionLayout.m */,
				3B528D11199417E90054DB5F /* MPFunctionLayout.h */,
				3B528D12199417E90054DB5F /* MPFunctionLayout.m */,
			);
			name = Private;
			sourceTree = "<group>";
		};
		3BB09EE21907361C0080A5ED /* Function Layouts */ = {
			isa = PBXGroup;
			children = (
				3BB09EDF190736160080A5ED /* MPSumFunctionLayout.h */,
				3BB09EE0190736160080A5ED /* MPSumFunctionLayout.m */,
			);
			name = "Function Layouts";
			sourceTree = "<group>";
		};
		3BC4661819B3692A0033F13A /* Temp */ = {
			isa = PBXGroup;
			children = (
				3BC4661519B365070033F13A /* MPArrayCache.h */,
				3BC4661619B365070033F13A /* MPArrayCache.m */,
			);
			name = Temp;
			sourceTree = "<group>";
		};
		3BC46B4B19B38CB60033F13A /* Base Expression Classes */ = {
			isa = PBXGroup;
			children = (
				3BFAC38D1997B61300B3EF67 /* MPExpression.h */,
				3BFAC38E1997B61300B3EF67 /* MPExpression.m */,
				3BFAC3961997B67400B3EF67 /* MPExpressionElement.h */,
				3B87E35E19009D5F00259938 /* MPFunction.h */,
				3B87E35F19009D5F00259938 /* MPFunction.m */,
				3BC46B4F19B506F20033F13A /* Evaluation */,
			);
			name = "Base Expression Classes";
			sourceTree = "<group>";
		};
		3BC46B4C19B38CD20033F13A /* Independant Classes */ = {
			isa = PBXGroup;
			children = (
				3B87E35B1900933200259938 /* MPRangePath.h */,
				3B87E35C1900933200259938 /* MPRangePath.m */,
				3B0F69A719028BC600817707 /* MPException.h */,
				3B0F69A819028C6000817707 /* MPException.m */,
			);
			name = "Independant Classes";
			sourceTree = "<group>";
		};
		3BC46B4D19B38CFB0033F13A /* Helpers */ = {
			isa = PBXGroup;
			children = (
				3BFAC39A1997BC7600B3EF67 /* NSString+MPExpressionElement.h */,
				3BFAC39B1997BC7600B3EF67 /* NSString+MPExpressionElement.m */,
				3BB09EDC190728220080A5ED /* NSIndexPath+MPAdditions.h */,
				3BB09EDD190728220080A5ED /* NSIndexPath+MPAdditions.m */,
			);
			name = Helpers;
			sourceTree = "<group>";
		};
		3BC46B4F19B506F20033F13A /* Evaluation */ = {
			isa = PBXGroup;
			children = (
				3BC46B5D19B8BE760033F13A /* MPMath.lm */,
				3BD98B2419B8F0670035852A /* MPMath.ym */,
				3BE9C4B019B91978002CC508 /* MPMath.h */,
				3BD98B2619B8F3F10035852A /* Generated */,
				3BC46B4719B38C980033F13A /* MPExpressionEvaluator.h */,
				3BC46B4819B38C980033F13A /* MPExpressionEvaluator.m */,
				3BE9C4B119B9CC70002CC508 /* MPParsedElement.h */,
				3BE9C4B219B9CC70002CC508 /* MPParsedElement.m */,
			);
			name = Evaluation;
			sourceTree = "<group>";
		};
		3BD98B2619B8F3F10035852A /* Generated */ = {
			isa = PBXGroup;
			children = (
				3B225D3119B9162E00520A4D /* MPMath.yy.h */,
				3B225D2C19B90F6A00520A4D /* MPMath.yy.m */,
				3B225D3419B916D000520A4D /* MPMath.tab.h */,
				3B225D3219B9168600520A4D /* MPMath.tab.m */,
			);
			name = Generated;
			sourceTree = "<group>";
		};
		3BF9976218DE623E009CF6C4 = {
			isa = PBXGroup;
			children = (
				3BF9977418DE623E009CF6C4 /* MathPad */,
				3BF9979518DE623E009CF6C4 /* MathPadTests */,
				3BF9976D18DE623E009CF6C4 /* Frameworks */,
				3BF9976C18DE623E009CF6C4 /* Products */,
			);
			sourceTree = "<group>";
		};
		3BF9976C18DE623E009CF6C4 /* Products */ = {
			isa = PBXGroup;
			children = (
				3BF9976B18DE623E009CF6C4 /* MathPad.app */,
				3BF9978F18DE623E009CF6C4 /* MathPadTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		3BF9976D18DE623E009CF6C4 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				3BD98B1E19B8CE490035852A /* libl.a */,
				3B74BFB219A4C51800E5B5DE /* CoreText.framework */,
				3BF9976E18DE623E009CF6C4 /* Cocoa.framework */,
				3BF9979018DE623E009CF6C4 /* XCTest.framework */,
				3BF9977018DE623E009CF6C4 /* Other Frameworks */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		3BF9977018DE623E009CF6C4 /* Other Frameworks */ = {
			isa = PBXGroup;
			children = (
				3BF9977118DE623E009CF6C4 /* AppKit.framework */,
				3BF9977218DE623E009CF6C4 /* CoreData.framework */,
				3BF9977318DE623E009CF6C4 /* Foundation.framework */,
			);
			name = "Other Frameworks";
			sourceTree = "<group>";
		};
		3BF9977418DE623E009CF6C4 /* MathPad */ = {
			isa = PBXGroup;
			children = (
				3BC4661819B3692A0033F13A /* Temp */,
				3B87E350190082B300259938 /* Model */,
				3B87E351190082BB00259938 /* View */,
				3B87E352190082C000259938 /* Controller */,
				3B87E353190082E200259938 /* Resources */,
				3BF9977518DE623E009CF6C4 /* Supporting Files */,
			);
			path = MathPad;
			sourceTree = "<group>";
		};
		3BF9977518DE623E009CF6C4 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				3BF9977618DE623E009CF6C4 /* MathPad-Info.plist */,
				3BF9977718DE623E009CF6C4 /* InfoPlist.strings */,
				3BF9977A18DE623E009CF6C4 /* main.m */,
				3BF9977C18DE623E009CF6C4 /* MathPad-Prefix.pch */,
				3BF9977D18DE623E009CF6C4 /* Credits.rtf */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
		3BF9979518DE623E009CF6C4 /* MathPadTests */ = {
			isa = PBXGroup;
			children = (
				3B0F69AB1902A82C00817707 /* MPExpressionTests.m */,
				3BBBA3941905704200824E74 /* MPRangeTests.m */,
				3BF9979618DE623E009CF6C4 /* Supporting Files */,
			);
			path = MathPadTests;
			sourceTree = "<group>";
		};
		3BF9979618DE623E009CF6C4 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				3BF9979718DE623E009CF6C4 /* MathPadTests-Info.plist */,
				3BF9979818DE623E009CF6C4 /* InfoPlist.strings */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		3BF9976A18DE623E009CF6C4 /* MathPad */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3BF9979F18DE623E009CF6C4 /* Build configuration list for PBXNativeTarget "MathPad" */;
			buildPhases = (
				3BF9976718DE623E009CF6C4 /* Sources */,
				3BF9976818DE623E009CF6C4 /* Frameworks */,
				3BF9976918DE623E009CF6C4 /* Resources */,
			);
			buildRules = (
				3B225D3019B9154A00520A4D /* PBXBuildRule */,
				3B225D2F19B9105E00520A4D /* PBXBuildRule */,
			);
			dependencies = (
			);
			name = MathPad;
			productName = MathPad;
			productReference = 3BF9976B18DE623E009CF6C4 /* MathPad.app */;
			productType = "com.apple.product-type.application";
		};
		3BF9978E18DE623E009CF6C4 /* MathPadTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3BF997A218DE623E009CF6C4 /* Build configuration list for PBXNativeTarget "MathPadTests" */;
			buildPhases = (
				3BF9978B18DE623E009CF6C4 /* Sources */,
				3BF9978C18DE623E009CF6C4 /* Frameworks */,
				3BF9978D18DE623E009CF6C4 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				3BF9979418DE623E009CF6C4 /* PBXTargetDependency */,
			);
			name = MathPadTests;
			productName = MathPadTests;
			productReference = 3BF9978F18DE623E009CF6C4 /* MathPadTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		3BF9976318DE623E009CF6C4 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				CLASSPREFIX = MP;
				LastUpgradeCheck = 0510;
				ORGANIZATIONNAME = "Kim Wittenburg";
				TargetAttributes = {
					3BF9978E18DE623E009CF6C4 = {
						TestTargetID = 3BF9976A18DE623E009CF6C4;
					};
				};
			};
			buildConfigurationList = 3BF9976618DE623E009CF6C4 /* Build configuration list for PBXProject "MathPad" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				English,
			);
			mainGroup = 3BF9976218DE623E009CF6C4;
			productRefGroup = 3BF9976C18DE623E009CF6C4 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				3BF9976A18DE623E009CF6C4 /* MathPad */,
				3BF9978E18DE623E009CF6C4 /* MathPadTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		3BF9976918DE623E009CF6C4 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3BF9977918DE623E009CF6C4 /* InfoPlist.strings in Resources */,
				3BF9978A18DE623E009CF6C4 /* Images.xcassets in Resources */,
				3BC4660B19B2425A0033F13A /* MPDocument.xib in Resources */,
				3BC4661419B245C60033F13A /* Fonts in Resources */,
				3BF9977F18DE623E009CF6C4 /* Credits.rtf in Resources */,
				3BF9978818DE623E009CF6C4 /* MainMenu.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3BF9978D18DE623E009CF6C4 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3BF9979A18DE623E009CF6C4 /* InfoPlist.strings in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		3BF9976718DE623E009CF6C4 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3BE9C4B319B9CC70002CC508 /* MPParsedElement.m in Sources */,
				3B688D9919982DF50006B4AB /* MPLayout.m in Sources */,
				3BD98B2519B8F0670035852A /* MPMath.ym in Sources */,
				3BC46B5E19B8BE760033F13A /* MPMath.lm in Sources */,
				3BB09EE1190736160080A5ED /* MPSumFunctionLayout.m in Sources */,
				3BC46B4919B38C980033F13A /* MPExpressionEvaluator.m in Sources */,
				3B87E3561900856F00259938 /* MPExpressionView.m in Sources */,
				3BB09EC91906FD830080A5ED /* MPSumFunction.m in Sources */,
				3BB09EB21905DE500080A5ED /* MPExpressionStorage.m in Sources */,
				3BF9977B18DE623E009CF6C4 /* main.m in Sources */,
				3BFAC38F1997B61300B3EF67 /* MPExpression.m in Sources */,
				3BFAC39C1997BC7600B3EF67 /* NSString+MPExpressionElement.m in Sources */,
				3B528D10199417E10054DB5F /* MPExpressionLayout.m in Sources */,
				3B528D13199417E90054DB5F /* MPFunctionLayout.m in Sources */,
				3BB09EDE190728220080A5ED /* NSIndexPath+MPAdditions.m in Sources */,
				3B87E36019009D5F00259938 /* MPFunction.m in Sources */,
				3B0F69A919028C6000817707 /* MPException.m in Sources */,
				3BBBA35E1903FD3600824E74 /* MPRangePath.m in Sources */,
				3BF9978218DE623E009CF6C4 /* MPDocument.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3BF9978B18DE623E009CF6C4 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3B528D1619941F5B0054DB5F /* MPExpressionLayout.m in Sources */,
				3B528D1819941F5B0054DB5F /* MPFunctionLayout.m in Sources */,
				3B0F69AE1902AD2800817707 /* MPException.m in Sources */,
				3B0F69AC1902A82C00817707 /* MPExpressionTests.m in Sources */,
				3BBBA3951905704200824E74 /* MPRangeTests.m in Sources */,
				3B0F69B01902AD2E00817707 /* MPFunction.m in Sources */,
				3B53AD5F1997E0FB00C925C4 /* MPExpression.m in Sources */,
				3BBBA35F1903FD3600824E74 /* MPRangePath.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		3BF9979418DE623E009CF6C4 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 3BF9976A18DE623E009CF6C4 /* MathPad */;
			targetProxy = 3BF9979318DE623E009CF6C4 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		3BF9977718DE623E009CF6C4 /* InfoPlist.strings */ = {
			isa = PBXVariantGroup;
			children = (
				3BF9977818DE623E009CF6C4 /* en */,
			);
			name = InfoPlist.strings;
			sourceTree = "<group>";
		};
		3BF9977D18DE623E009CF6C4 /* Credits.rtf */ = {
			isa = PBXVariantGroup;
			children = (
				3BF9977E18DE623E009CF6C4 /* en */,
			);
			name = Credits.rtf;
			sourceTree = "<group>";
		};
		3BF9978318DE623E009CF6C4 /* MPDocument.xib */ = {
			isa = PBXVariantGroup;
			children = (
				3BF9978418DE623E009CF6C4 /* Base */,
			);
			name = MPDocument.xib;
			sourceTree = "<group>";
		};
		3BF9978618DE623E009CF6C4 /* MainMenu.xib */ = {
			isa = PBXVariantGroup;
			children = (
				3BF9978718DE623E009CF6C4 /* Base */,
			);
			name = MainMenu.xib;
			sourceTree = "<group>";
		};
		3BF9979818DE623E009CF6C4 /* InfoPlist.strings */ = {
			isa = PBXVariantGroup;
			children = (
				3BF9979918DE623E009CF6C4 /* en */,
			);
			name = InfoPlist.strings;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		3BF9979D18DE623E009CF6C4 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.9;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		3BF9979E18DE623E009CF6C4 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = YES;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.9;
				SDKROOT = macosx;
			};
			name = Release;
		};
		3BF997A018DE623E009CF6C4 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				COMBINE_HIDPI_IMAGES = YES;
				FRAMEWORK_SEARCH_PATHS = "$(inherited)";
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "MathPad/MathPad-Prefix.pch";
				INFOPLIST_FILE = "MathPad/MathPad-Info.plist";
				PRODUCT_NAME = "$(TARGET_NAME)";
				WRAPPER_EXTENSION = app;
			};
			name = Debug;
		};
		3BF997A118DE623E009CF6C4 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				COMBINE_HIDPI_IMAGES = YES;
				FRAMEWORK_SEARCH_PATHS = "$(inherited)";
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "MathPad/MathPad-Prefix.pch";
				INFOPLIST_FILE = "MathPad/MathPad-Info.plist";
				PRODUCT_NAME = "$(TARGET_NAME)";
				WRAPPER_EXTENSION = app;
			};
			name = Release;
		};
		3BF997A318DE623E009CF6C4 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(BUILT_PRODUCTS_DIR)/MathPad.app/Contents/MacOS/MathPad";
				COMBINE_HIDPI_IMAGES = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(DEVELOPER_FRAMEWORKS_DIR)",
					"$(inherited)",
				);
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "MathPad/MathPad-Prefix.pch";
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				INFOPLIST_FILE = "MathPadTests/MathPadTests-Info.plist";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUNDLE_LOADER)";
				WRAPPER_EXTENSION = xctest;
			};
			name = Debug;
		};
		3BF997A418DE623E009CF6C4 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(BUILT_PRODUCTS_DIR)/MathPad.app/Contents/MacOS/MathPad";
				COMBINE_HIDPI_IMAGES = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(DEVELOPER_FRAMEWORKS_DIR)",
					"$(inherited)",
				);
				GCC_PRECOMPILE_PREFIX_HEADER = YES;
				GCC_PREFIX_HEADER = "MathPad/MathPad-Prefix.pch";
				INFOPLIST_FILE = "MathPadTests/MathPadTests-Info.plist";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUNDLE_LOADER)";
				WRAPPER_EXTENSION = xctest;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		3BF9976618DE623E009CF6C4 /* Build configuration list for PBXProject "MathPad" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3BF9979D18DE623E009CF6C4 /* Debug */,
				3BF9979E18DE623E009CF6C4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3BF9979F18DE623E009CF6C4 /* Build configuration list for PBXNativeTarget "MathPad" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3BF997A018DE623E009CF6C4 /* Debug */,
				3BF997A118DE623E009CF6C4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3BF997A218DE623E009CF6C4 /* Build configuration list for PBXNativeTarget "MathPadTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3BF997A318DE623E009CF6C4 /* Debug */,
				3BF997A418DE623E009CF6C4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 3BF9976318DE623E009CF6C4 /* Project object */;
}
